# kmdi Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KMDI Namespace Reference

A namespace for the KMDI library. More...

## Enumerations

enum | TabWidgetVisibility { AlwaysShowTabs = 0, ShowWhenMoreThanOneTab = 1, NeverShowTabs = 2 }
enum | ToolviewStyle { IconOnly = 0, TextOnly = 1, TextAndIcon = 3 }

## Detailed Description

A namespace for the KMDI library.

## Enumeration Type Documentation

enum KMDI::ToolviewStyle

The style of the toolview tabs.

Enumeration values:

  IconOnly | Show only icons on the toolview tabs. The visible toolviews contain both the icon and text.
  TextOnly | Show only the text description on the toolview tabs.
  TextAndIcon | Show both the icon and description on the toolview tabs.

Definition at line 59 of file global.h.

This file is part of the documentation for kmdi Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:32:15 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003